package com.crm.rely.backend.core.entity.ib.point;

import lombok.Data;

/**
 * Created by max on 2020/7/3.
 */
@Data
public class AgentPointEntity {

    private Long agentId;
    /**
     * 返佣类型，1：品种类型，2：百分比
     */
    private Integer type;

    private Float classicFx;

    private Float classicCfd;

    private Float classicIndex;

    private Float classicMetal;

    private Float vipFx;

    private Float vipCfd;

    private Float vipIndex;

    private Float vipMetal;

    private Float instantFx;

    private Float instantMetal;

    private Float instantIndex;

    private Float comPointOne;

    private Float comPointTwo;

    private Float comPointThree;

    private Float percent;

    private Long pid;

    private Float standardFx;

    private Float standardCfd;

    private Float standardIndex;

    private Float standardMetal;

    private Float centFx;

    private Float centCfd;

    private Float centIndex;

    private Float centMetal;

    /**
     * 上级代理返点信息
     */
    private AgentPointEntity superAgent;

    private Float classicFxOrient;

    private Float classicCfdOrient;

    private Float classicIndexOrient;

    private Float classicMetalOrient;

    private Float vipFxOrient;

    private Float vipCfdOrient;

    private Float vipIndexOrient;

    private Float vipMetalOrient;

    private Float instantFxOrient;

    private Float instantMetalOrient;

    private Float instantIndexOrient;

    private Float comPointOneOrient;

    private Float comPointTwoOrient;

    private Float comPointThreeOrient;

    private Float standardFxOrient;

    private Float standardCfdOrient;

    private Float standardIndexOrient;

    private Float standardMetalOrient;

    private Float centFxOrient;

    private Float centCfdOrient;

    private Float centIndexOrient;

    private Float centMetalOrient;

    private Integer cpa;


    public static AgentPointEntity getInstance() {
        AgentPointEntity entity = new AgentPointEntity();
        entity.setType(1);
        entity.setClassicFx(0F);
        entity.setClassicCfd(0F);
        entity.setClassicIndex(0F);
        entity.setClassicMetal(0F);
        entity.setStandardFx(0F);
        entity.setStandardCfd(0F);
        entity.setStandardIndex(0F);
        entity.setStandardMetal(0F);
        entity.setCentFx(0F);
        entity.setCentCfd(0F);
        entity.setCentIndex(0F);
        entity.setCentMetal(0F);
        entity.setVipFx(0F);
        entity.setVipCfd(0F);
        entity.setVipIndex(0F);
        entity.setVipMetal(0F);
        entity.setInstantFx(0F);
        entity.setInstantIndex(0F);
        entity.setInstantMetal(0F);
        entity.setComPointOne(0F);
        entity.setComPointTwo(0F);
        entity.setComPointThree(0F);
        entity.setPercent(0F);
        entity.setPid(0L);
        entity.setSuperAgent(null);

        entity.setClassicFxOrient(0F);
        entity.setClassicCfdOrient(0F);
        entity.setClassicIndexOrient(0F);
        entity.setClassicMetalOrient(0F);
        entity.setStandardFxOrient(0F);
        entity.setStandardCfdOrient(0F);
        entity.setStandardIndexOrient(0F);
        entity.setStandardMetalOrient(0F);
        entity.setCentFxOrient(0F);
        entity.setCentCfdOrient(0F);
        entity.setCentIndexOrient(0F);
        entity.setCentMetalOrient(0F);
        entity.setVipFxOrient(0F);
        entity.setVipCfdOrient(0F);
        entity.setVipIndexOrient(0F);
        entity.setVipMetalOrient(0F);
        entity.setInstantFxOrient(0F);
        entity.setInstantIndexOrient(0F);
        entity.setInstantMetalOrient(0F);
        entity.setComPointOneOrient(0F);
        entity.setComPointTwoOrient(0F);
        entity.setComPointThreeOrient(0F);

        return entity;
    }

}
